Subject: Re: [PATCH 0/3] doc: replay: improvements like "mention no output on conflicts"

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Wed, 10 Dec 2025 13:04:45 +0100

On Wed, Dec 10, 2025, at 12:56, Junio C Hamano wrote:
> Phillip Wood <[email-masked]> writes:
>
>> We do talk about "branch heads" in our documentation and they point 
>> commits. We also use "tip" when talking about the commit the branch 
>> points to so maybe something like
>>
>>      Update all branches whose tip is replayed
>>
>> though I think it would be clearer if we could say "commit" somewhere as 
>> that's what we're replaying. I find the concept of "contained branches" 
>> rather obscure.
>
> Thanks, I do agree that "branch head", "tip of the branch", etc. can
> be used pretty much interchangeably, and using "commit" somwhere
> would make it clear.
>
> 	Update all branches that point at commits in the replayed
> 	<revision-range>.
>
> perhaps?  I dunno.

I like this. Or just

    Update all branches that point at commits in <revision-range>.